Subject: bug#39724: closed (Re: bug#39724: 26.3; Commit 44298ea6aa006ed227e539b02279bd3fc11fd2a6 breaks font display on macOS)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 Oct 2020 12:40:02 +0000

Your bug report

#39724: 26.3; Commit 44298ea6aa006ed227e539b02279bd3fc11fd2a6 breaks font display on macOS

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39724: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39724
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39724: 26.3; Commit 44298ea6aa006ed227e539b02279bd3fc11fd2a6 breaks font display on macOS
From: Stefan Kangas <[email-masked]>
To: Alan Third <[email-masked]>
Cc: John Wiegley <[email-masked]>, [email-masked]
Date: Thu, 1 Oct 2020 05:38:53 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

>> Hi John, I don’t know if you tried the above patch, but can you please
>> try building the master branch again? I fixed an issue last night that
>> may be the same as your problem. I’m not sure because it all depends
>> on the build environment and what versions of Cocoa are available and
>> so on, and I think Nix may confuse matters.
>
> That was 6 months ago.  Any updates here?
>
> If I don't hear back from you within a couple of weeks, I'll just
> assume this has been fixed and close this bug.

More information was requested, but none was given within 5 weeks, so
I'll just assume that the above fixed the issue.  I'm therefore closing
this bug now.

If this is still an issue, please reply to this email (use "Reply to
all" in your email client) and we can reopen the bug report.

Best regards,
Stefan Kangas

Subject: 26.3; Commit 44298ea6aa006ed227e539b02279bd3fc11fd2a6 breaks font display on macOS
From: "John Wiegley" <[email-masked]>
To: [email-masked]
Cc: Alan Third <[email-masked]>, Eli Zaretskii <[email-masked]>
Date: Fri, 21 Feb 2020 13:45:08 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed recently that no text was displaying in my Emacs 27 windows. As if
everything were black and black, except that changing the font and background
colors did not help.

It took two days of rebuilding, but I've isolated this as the breaking commit:

commit 44298ea6aa006ed227e539b02279bd3fc11fd2a6
Author: Alan Third <[email-masked]>
Date:   Sat Feb 1 21:17:29 2020 +0000

    Use CGImage instead of NSBitmapImageRep (bug#32932)

    * src/nsterm.m (ns_update_end):
    (ns_clear_frame): Remove forced draws.
    (ns_draw_fringe_bitmap):
    (ns_dumpglyphs_image): No longer need to invert images as the context
    is already flipped.
    ([EmacsView updateFrameSize:]):
    ([EmacsView initFrameFromEmacs:]): Use new function.
    ([EmacsView createDrawingBuffer]): Replaces createDrawingBufferWithRect:.
    ([EmacsView focusOnDrawingBuffer]): Set CGImage context.
    ([EmacsView windowDidChangeBackingProperties:]): Use new function.
    ([EmacsView copyRect:to:]): Copy using CGImages.
    ([EmacsView wantsUpdateLayer]):
    ([EmacsView updateLayer]): New Functions.
    ([EmacsView drawRect:]): We no longer do anything special here for
    Cocoa.
    ([EmacsView windowDidChangeBackingProperties:]): Fix indentation and
    add NSTRACE.

Anything prior to this works as expected. From this commit forward, all
windows are black on black.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2